<back to all web services

GetTranslationsCount

The following routes are available for this service:
GET/RestApi/translations/translations/count
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations
Imports Telerik.Sitefinity.Translations.Model
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Response

Namespace Global

    Namespace Telerik.Sitefinity.Translations.Model

        Public Enum TranslationStatus
            Marked = 101
            Sending = 201
            Sent = 202
            Received = 301
            Importing = 302
            Imported = 303
            Completed = 304
            Archived = 401
            Deleted = 402
            Rejected = 403
            SendingError = 501
            ImportingError = 502
            ReceivingError = 503
        End Enum
    End Namespace

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations

        Public Partial Class GetTranslationsCount
            Implements ITranslationsFilter
            Public Overridable Property Type As String() Implements ITranslationsFilter.Type
            Public Overridable Property SearchText As String Implements ITranslationsFilter.SearchText
            Public Overridable Property ActualSourceLanguage As String Implements ITranslationsFilter.ActualSourceLanguage
            Public Overridable Property TargetLanguage As String() Implements ITranslationsFilter.TargetLanguage
            Public Overridable Property Service As String() Implements ITranslationsFilter.Service
            Public Overridable Property TranslationStatus As TranslationStatus() Implements ITranslationsFilter.TranslationStatus
            Public Overridable Property Status As String() Implements ITranslationsFilter.Status
            Public Overridable Property ProjectIds As Guid() Implements ITranslationsFilter.ProjectIds
            Public Overridable Property StartDate As Date? Implements ITranslationsFilter.StartDate
            Public Overridable Property EndDate As Date? Implements ITranslationsFilter.EndDate
            Public Overridable Property ErrorsOnly As Boolean Implements ITranslationsFilter.ErrorsOnly
        End Class
    End Namespace

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Response

        Public Partial Class CountProxy
            Public Overridable Property TotalCount As Integer
        End Class
    End Namespace
End Namespace

VB.NET GetTranslationsCount DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/translations/count HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"TotalCount":0}